Package org.eclipse.rap.rwt.client.service

# Interface BrowserNavigationListener

public interface BrowserNavigationListener
An event handler that is invoked whenever the user navigates within the application, i.e. changes the fragment part of the URL. This can happen by pressing the browser's back button, by selecting an item from the browser's history, or by manually changing the fragment part of the URL in the browser's URL bar.

Since:
  2.0
See Also:
  - `BrowserNavigation`

## Method Summary

Modifier and Type
Method
Description
`void`
`navigated(BrowserNavigationEvent event)`
Called when the user navigated within the application.

## Method Details

### navigated

void navigated(BrowserNavigationEvent event)
Called when the user navigated within the application.

Parameters:
  `event` - the event that contains details of the navigation